org.keycloak.federation.ldap

## Class LDAPUtils

- java.lang.Object
- - org.keycloak.federation.ldap.LDAPUtils

-     public class LDAPUtils
      extends Object

  Allow to directly call some operations against Picketlink IDM PartitionManager (hence LDAP).
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.picketlink.idm.query.QueryParameter` | `MODIFY_DATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.picketlink.idm.model.basic.User` | `addUser(org.picketlink.idm.PartitionManager partitionManager, String username, String firstName, String lastName, String email)`
    `static List<org.picketlink.idm.model.basic.User>` | `getAllUsers(org.picketlink.idm.PartitionManager partitionManager)`
    `static org.picketlink.idm.model.basic.User` | `getUser(org.picketlink.idm.PartitionManager partitionManager, String username)`
    `static org.picketlink.idm.model.basic.User` | `getUserByEmail(org.picketlink.idm.IdentityManager idmManager, String email)`
    `static void` | `removeAllUsers(org.picketlink.idm.PartitionManager partitionManager)`
    `static boolean` | `removeUser(org.picketlink.idm.PartitionManager partitionManager, String username)`
    `static void` | `updatePassword(org.picketlink.idm.PartitionManager partitionManager, org.picketlink.idm.model.basic.User picketlinkUser, String password)`
    `static org.picketlink.idm.model.basic.User` | `updateUser(org.picketlink.idm.PartitionManager partitionManager, String username, String firstName, String lastName, String email)`
    `static boolean` | `validatePassword(org.picketlink.idm.PartitionManager partitionManager, String username, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODIFY_DATE

          public static org.picketlink.idm.query.QueryParameter MODIFY_DATE

  - ### Constructor Detail

    - #### LDAPUtils

          public LDAPUtils()

  - ### Method Detail

    - #### addUser

          public static org.picketlink.idm.model.basic.User addUser(org.picketlink.idm.PartitionManager partitionManager,
                                                    String username,
                                                    String firstName,
                                                    String lastName,
                                                    String email)

    - #### updateUser

          public static org.picketlink.idm.model.basic.User updateUser(org.picketlink.idm.PartitionManager partitionManager,
                                                       String username,
                                                       String firstName,
                                                       String lastName,
                                                       String email)

    - #### updatePassword

          public static void updatePassword(org.picketlink.idm.PartitionManager partitionManager,
                            org.picketlink.idm.model.basic.User picketlinkUser,
                            String password)

    - #### validatePassword

          public static boolean validatePassword(org.picketlink.idm.PartitionManager partitionManager,
                                 String username,
                                 String password)

    - #### getUser

          public static org.picketlink.idm.model.basic.User getUser(org.picketlink.idm.PartitionManager partitionManager,
                                                    String username)

    - #### getUserByEmail

          public static org.picketlink.idm.model.basic.User getUserByEmail(org.picketlink.idm.IdentityManager idmManager,
                                                           String email)
                                                                    throws org.picketlink.idm.IdentityManagementException

      Throws:
        `org.picketlink.idm.IdentityManagementException`

    - #### removeUser

          public static boolean removeUser(org.picketlink.idm.PartitionManager partitionManager,
                           String username)

    - #### removeAllUsers

          public static void removeAllUsers(org.picketlink.idm.PartitionManager partitionManager)

    - #### getAllUsers

          public static List<org.picketlink.idm.model.basic.User> getAllUsers(org.picketlink.idm.PartitionManager partitionManager)

Copyright © 2015. All Rights Reserved.